Subject: [bug#39271] Add a guide to the guix cookbook about setting up sway.

From: Leo Famulari <[email-masked]>
Date: Sun, 15 Mar 2020 15:54:04 -0400

On Fri, Jan 24, 2020 at 05:03:27PM +0000, jbranso--- via Guix-patches via wrote:
> Hello,
> 
> I've created a brief and simple guide for users to set up sway. It
> would probably be better for someone to create a sway-service-type
> instead, but until that happens users need to configure sway manually.
> 
> In the guide, I include a code snippet of a minimal operating
> configuration for sway. I tested the code last night with guix system
> vm, and it did produce a run-able vm.

Thanks for this!

I wonder, are you using sway on Guix with GDM? I think we should
establish whether or not GDM works with sway in Guix, and then base the
recipe on that.